Subject: bug#32345: 12.1.1; wrong preview position for four-byte utf-8 encoded character (xelatex)

From: Arash Esbati <[email-masked]>
Date: Tue, 05 Mar 2024 08:56:14 +0100

David Kastrup <[email-masked]> writes:

> jfbu <[email-masked]> writes:
>
>> Le 02/08/2018 à 15:06, jfbu a écrit :
>>> There is a problem here with xetex error logs.
>>
>> I opened an upstream ticket
>>
>> https://sourceforge.net/p/xetex/bugs/154/
>
> I guess that's the best bet.  preview-latex has special code to deal
> with 8-bit engines putting line breaks in the middle of multibyte
> characters or ^^-quoting only some of them.
>
> It would likely be possible to teach it to also deal with the
> XeTeX-specific current situation, but it would likely end up being a
> nightmare to maintain.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

That said, it looks like a "wontfix".  Therefore, I'm closing this
report.

Best, Arash